package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ServiceInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户服务表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceInfoService extends IService<ServiceInfo> {
    ServiceInfo findByName(String name);

    List<ServiceInfo> getListByUserId(Long userId);

    IPage<ServiceInfo> selectServiceListPage(Page<ServiceInfo> page, ServiceInfo serviceInfo);
}
