package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ServiceInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户服务表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ServiceInfoMapper extends BaseMapper<ServiceInfo> {
    ServiceInfo findByName(String name);

    List<ServiceInfo> getListByUserId(Long userId);

    IPage<ServiceInfo> selectServiceListPage(Page page, @Param("serviceInfo") ServiceInfo serviceInfo);
}
