package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.UserInfoDTO;
import com.diagbot.entity.User;
import com.diagbot.vo.UserInfoOrganizationsVO;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface UserService extends IService<User> {

    User findByName(String username);

    IPage<User> selectUserListPage(Page<User> page, User user);
    
    public IPage<UserInfoDTO>  selectUserInfoListPage(Page<UserInfoDTO> page,UserInfoDTO userInfo);
    
    public Integer updateUserInfoAll(UserInfoOrganizationsVO userInfo);

	Integer updateDeleted(Map<String, String> map);

    IPage<User> indexPage(Page<User> page, User user);
}
